*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Montserrat', sans-serif;
}

.header{
  width: 100%;
  height: 100vh;
  position: relative;
  top: 0;
  left: 0;
}
.nav {
width: 100%; /* Ajuste para ocupar el ancho completo */
background-color: rgba(253, 253, 253, 0.274);
display: flex;
justify-content: space-between;
align-items: center;
height: 80px;
position: absolute;
z-index: 1000;
}

.nav .logo {
height: 80px;
}

.nav .logo img {
width: 100%;
height: 100%;
}

.nav-menu ul {
display: flex;
list-style: none;
}

.nav-menu ul a {
text-decoration: none;
color: #000;
font-size: 20px;
margin: 60px 15px;
border-radius: 10%;
transition: color 0.3s, background-color 0.3s;
}

.nav-menu ul a:hover {
color: rgba(255, 255, 255, 0.774);
background-color: #bb86c2;
}

.nav.sticky {
position: fixed;
background-color: rgba(226, 207, 35, 0.651);
top: 0;
width: 100%;
z-index: 2000;
}

.nav.sticky .nav-menu ul a {
color: #55166e;
}

.banner{
  background: url(img/club/1.png);
  height: 100vh;
  background-size: cover;
  background-position: center;
  overflow: hidden;
  position: relative;
}

.banner-content{
  width: 100%;
  place-items: center;
  height: 100%;
  text-align: center;
  position: relative;
  background-color: rgba(187, 181, 181, 0.724);
  
  transform: translateX(35%) rotate(-70deg);
}
.club-content {
width: 30%;
height: 50%;
position: absolute;
top: 40%; /* Ajusta la mitad de la altura del elemento */
left: 50%; /* Ajusta la mitad del ancho del elemento */
transform: translate(-50%, -50%) rotate(70deg);
}
.club-content img{
text-align: center;
width: 100%;
}
.banner-content p {
  color: rgb(104, 46, 134);
  margin: 10px 100px 40px 100px;
  font-size: 40px;
  font-weight: 600;
}

.about-us{
width: 90%;
display: flex;
justify-content: center;
align-items: center;
flex-direction: column;
text-align: justify;
margin: 20px auto;
}

.about-us h1{
font-size: 60px;
color: #000;
margin-bottom: 25px;
position: relative;
}

.about-us h1::after{
content: "";
position: absolute;
width: 100%;
height: 4px;
display: block;
margin: 0 auto;
background-color: #e6b71c;
}
.container{
width: 90%;
margin: 0 auto;
padding: 10px 20px;
}

.about {
display: flex;
justify-content: center;
align-items: center;
flex-wrap: wrap-reverse; 
}

.about-image {
margin: 20px 50px;

}

.about-image img {
width: 50%;
align-items: center;

}

.about-content {
flex: 1;
text-align: center;
margin: 0 20px;
}


.about-content h2{
font-size: 50px;
text-align: center;
margin-bottom: 15px;
color:#333;
}

.about-content p{
font-size: 25px;
line-height: 1.5;
color: #666;
}

.about-content span{
display: inline-block;
padding: 10px 20px;
color: #fff;
font-size: 25px;
text-decoration: none;
border-radius: 25px;
background-color:#4b1a74e7;
margin-top: 15px;
transition: 0.3s ease;
}

.why{
width: 90%;
display: flex;
justify-content: center;
align-items: center;
flex-direction: column;
text-align: center;
margin: 20px auto;
}

.why h1{
font-size: 60px;
color: #000;
margin-bottom: 25px;
position: relative;
}

.why h1::after{
content: "";
position: absolute;
width: 100%;
height: 4px;
display: block;
margin: 0 auto;
background-color: #0fa18d;
}

.Blog{
width: 90%;
display: flex;
justify-content: center;
align-items: center;
flex-direction: column;
text-align: center;
margin: 20px auto;
}

.Blog h1{
font-size: 60px;
color: #000;
margin-bottom: 25px;
position: relative;
}

.Blog h1::after{
content: "";
position: absolute;
width: 100%;
height: 4px;
display: block;
margin: 0 auto;
background-color: #2fcc44ea;
}

.container{
width: 90%;
margin: 0 auto;
padding: 10px 20px;
}

.blog {
display: flex;
justify-content: center;
align-items: center;
flex-wrap: wrap-reverse; 
}

.blog-image {
margin: 20px 50px;
}

.blog-image img {
max-width: 100%;
max-height: 500px;
border-radius: 119px 0px 103px 60px;
display: block;

}

.blog-content {
flex: 1;
text-align: center;
margin: 0 20px;
}


.blog-content p {
font-size: 25px;
line-height: 1.5;
color: #666;
}

.blog-content p span{
font-weight: 900;
}

.form-club{
margin: 75px auto;
display: flex;
align-items: center;
justify-content: center;
flex-direction: column;
}

.container-form{
background-color: #fff;
border-radius: 30px;
box-shadow: 0 5px 15px rgba(0, 0, 0, 0.35);
position: relative;
overflow: hidden;
width: 768px;
max-width: 100%;
min-height: 480px;
}

.container-form p{
font-size: 14px;
line-height: 20px;
letter-spacing: 0.3px;
margin: 20px 0;
}

.container-form span{
font-size: 12px;
}

.container-form a{
color: #333;
font-size: 13px;
text-decoration: none;
margin: 15px 0 10px;
}
.container-form button{
background-color: #512da8;
color: #fff;
font-size: 12px;
padding: 10px 45px;
border: 1px solid transparent;
border-radius: 8px;
font-weight: 600;
letter-spacing: 0.5px;
text-transform: uppercase;
margin-top: 10px;
cursor: pointer;
}

.container-form button.hid{
background-color: transparent;
border-color: #32984a;
}

.container-form form{
background-color: #fff;
display: flex;
align-items: center;
justify-content: center;
flex-direction: column;
padding: 0 40px;
height: 100%;
}

.container-form input{
background-color: #eee;
border: none;
margin: 8px 0;
padding: 10px 15px;
font-size: 13px;
border-radius: 8px;
width: 100%;
outline: none;
}

.form-container{
position: absolute;
top: 0;
height: 100%;
transition: all 0.6s ease-in-out;
}

.sign-in{
left: 0;
width: 50%;
z-index: 2;
}

.container-form.active .sign-in {
transform: translateX(100%);
}

.sign-up{
left: 0;
width: 50%;
opacity: 0;
z-index: 1;
}

.container-form.active .sign-up {
transform: translateX(100%);
opacity: 1;
z-index: 5;
animation: move 0.6s;
}

@keyframes move{
0%, 49.99%{
    opacity: 0;
    z-index: 1;
}
50%, 100%{
    opacity: 1;
    z-index: 5;
}
}

.social-icons{
margin: 20px 0;
}

.social-icons a{
border: 1px solid #ccc;
border-radius: 20%;
display: inline-flex;
justify-content: center;
align-items: center;
margin: 0 3px;
width: 40px;
height: 40px;
text-decoration: none;
}

.social-icons a:hover{
text-decoration: none;
background: #ddcc32;
}


.toggle-container{
position: absolute;
top: 0;
left: 50%;
width: 50%;
height: 100%;
overflow: hidden;
transition: all 0.6s ease-in-out;
border-radius: 150px 0 0 100px;
z-index: 1000;
}
.container-form.active .toggle-container {
transform: translateX(-100%);
border-radius: 0 150px 100px 0;
}

.toggle{
background-color: #512da8;
height: 100%;
background: linear-gradient(to right, #5c6bc0, #512da8);
color: #fff;
position: relative;
left: -100%;
height: 100%;
width: 200%;
transform: translateX(0);
transition: all 0.6s ease-in-out;
}

.container-form.active .toggle {
transform: translateX(50%);
}

.toggle-panel{
position: absolute;
width: 50%;
height: 100%;
display: flex;
align-items: center;
justify-content: center;
flex-direction: column;
padding: 0 30px;
text-align: center;
top: 0;
transform: translateX(0);
transition: all 0.6s ease-in-out;
}

.toggle-left{
transform: translateX(-200%);
}

.container-form.active .toggle-left {
transform: translateX(0);
}

.toggle-right{
right: 0;
transform: translateX(0);
}

.container-form.active .toggle-right {
transform: translateX(200%);
}


.blog-club{
margin: 75px auto;
display: flex;
align-items: center;
justify-content: center;
background-color: #000;
flex-direction: column;
}

.blog-image {
margin: 20px 50px;
background-color: #78188b85;
border-radius: 12% 88% 32% 68% / 64% 90% 10% 36%  ;
}

.blog-image img {
max-width: 100%;
max-height: 500px;
border-radius: 30% 70% 82% 18% / 54% 38% 62% 46% ;
display: block;

}

.blog-content {
flex: 1;
text-align: center;
margin: 0 20px;
}


.blog-content h2{
font-size: 50px;
text-align: center;
margin-bottom: 15px;
color:#333;
}

.blog-content p{
font-size: 25px;
line-height: 1.5;
color: #666;
}

.blog-content .read-more{
display: inline-block;
padding: 10px 20px;
color: #fff;
font-size: 19px;
text-decoration: none;
border-radius: 25px;
background-color:#2fcc44ea;
margin-top: 15px;
transition: 0.3s ease;
}

.blog-content .read-more:hover{
background-color:rgba(0, 0, 0, 0.6);
color: #fff;
}

.service{
  text-align: center;
  display: inline-block;
  width: calc(100% / 2);
  margin: 0 -2px;
  padding: 20px;
  box-sizing: border-box;
  cursor: pointer;
  transition: 0.4s;
}

.service i{
  color:#7e2b9f;
  font-size: 34px;
  margin-bottom: 30px;
}

.service h2{
  font-size: 20px;
  text-transform: uppercase;
  font-weight: 600;
  margin: 0;
  color: rgb(250, 230, 0);
}

.service p{
  margin: 10px;
  color: #333;
  font-size: 19px;
}

.cen{
  max-width: 1200px;
  margin: auto;
  overflow: hidden;
  padding: 20px;
}

@media screen and (max-width: 800px) {
  .service{
      width: 100%;
  }
  
}







.footer {
  background: linear-gradient(rgba(116, 11, 158, 0.836), rgba(202, 176, 59, 0.7));
  color:#fff;
}

.footer .row{
  color: #fff;
  margin-top: 15px;
}
.footer .row-1{
  color: #fff;
  margin-bottom: 25px;
}

.footer .icono i{
  color: #fff;
  margin-right: 10px;
  font-size: 25px;
  margin-top: 2%;
}
.footer .btn.btn-link {
  display: block;
  margin-bottom: 5px;
  padding: 0;
  text-align: left;
  color: #FFFFFF;
  font-size: 15px;
  font-weight: normal;
  text-transform: capitalize;
  transition: .3s;
}

.footer .btn.btn-link::before {
  position: relative;
  content: "\f105";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  margin-right: 10px;
}

.footer .btn.btn-link:hover {
  color: var(--primary);
  letter-spacing: 1px;
  box-shadow: none;
}

.footer .copyright {
  padding: 25px 0;
  font-size: 15px;
  border-top: 1px solid rgba(256, 256, 256, .1);
}

.footer .copyright a {
  color: #fff;
}

.footer .copyright a:hover {
  color: #6e147a;
}